use dir_embed::Embed;

#[derive(Embed)]
#[dir = "./../testdata/"]
#[mode = "str"]
pub struct Assets;

#[test]
fn str_get() {
    assert!(Assets::get("file1.txt").is_some());
}

#[test]
fn str_get_missing() {
    assert!(Assets::get("missing.txt").is_none());
}

#[test]
fn str_read_content() {
    let content_should = "file1";
    let content_is = Assets::get("file1.txt").unwrap();
    assert_eq!(content_is, content_should);
}

#[test]
fn str_sub_directories_get() {
    assert!(Assets::get("sub/file2.txt").is_some());
}

#[test]
fn str_sub_directories_content() {
    let content_should = "file2";
    let content_is = Assets::get("sub/file2.txt").unwrap();
    assert_eq!(content_is, content_should);
}
